%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************

function displayImageAndFFT2(image,theTitle,xlabelText)
handles = guidata( gcf() );
if isempty(handles)
    handles = guidata( gcbf() );
end

if isfield(handles,'clientHandle')
    server_1_handles = handles;
    client_handle  = server_1_handles.clientHandle;
    client_handles = guidata(client_handle);
else
    server_1_handle  = handles.userData.server_1_handle;
    server_1_handles = guidata(server_1_handle);
    client_handles   = handles;
end

display_image_with_correct_gray_scale(server_1_handles.originalImage2Axes,...
    'originalImage2Axes',image,client_handles,server_1_handles);
setXandTitleLabels(theTitle,xlabelText,7,client_handles.userData.xlabelOffset);


