function  initlializeDataGeneration(hObject)
%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************
handles = guidata(hObject);
server_1_handle  = handles.userData.server_1_handle;
server_1_handles = guidata(server_1_handle);

handles.userData.nTimeFrames              = str2double(get(handles.nTimeFramesTag,'String'));
handles.userData.nProjectionsPerFrame     = str2double(get(handles.nProjectionsTag,'String'));
handles.userData.totalNumberOfProjections = handles.userData.nTimeFrames*handles.userData.nProjectionsPerFrame;

%generate all images first
handles.userData.userImages=zeros(handles.userData.sz,handles.userData.sz,...
    handles.userData.totalNumberOfProjections);
set(server_1_handles.statusTag,'String','Generating temporal images...');

guidata(hObject,handles);