%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************
function make_g(hObject)

handles  = guidata(hObject);
handles.userData.g_length = length(radon(handles.userData.userImages(:,:,1),0));
handles.userData.g  = zeros(handles.userData.g_length,...
    handles.userData.totalNumberOfProjections); %to collect g projections in
handles.userData.angles = getAngles(hObject,handles.userData.totalNumberOfProjections);

% do the forward projections on the user images
for i = 1:handles.userData.totalNumberOfProjections
    handles.userData.g(:,i) = radon(handles.userData.userImages(:,:,i),handles.userData.angles(i)); %take projection at bitreversed order angle
end

guidata(hObject,handles);