function HYPRcommonLoopProcess(client_handles,server_1_handles,i)
%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************
%find the corresponding time frame image and display it

if ~get(client_handles.client_user_projection_tag,'Value')==1
    userImages = client_handles.userData.userImages;
    display_image_with_correct_gray_scale(...
        server_1_handles.originalImage2Axes,...
        'originalImage2Axes',...
        userImages(:,:,i),...
        client_handles,...
        server_1_handles);
end

%find the corresponding time frame image and display its mean intensity
%we later display the intensity of the HYPR frame on the same plot
%to compare. We only do the mean of the intensity of the image.
axes(server_1_handles.meanIntensityAxes);
if ~get(client_handles.client_user_projection_tag,'Value')==1
    plot(i,mean(mean(squeeze(userImages(:,:,i)))),'.');
end
if client_handles.userData.totalNumberOfProjections==1
    xlim(server_1_handles.meanIntensityAxes,[1,2]);
else
    xlim(server_1_handles.meanIntensityAxes,[1,client_handles.userData.totalNumberOfProjections]);
end
title(server_1_handles.meanIntensityAxes,'mean profile','FontSize', 8); 
hold(server_1_handles.meanIntensityAxes,'on');

%do as above, max
axes(server_1_handles.maxIntensityAxes);
if ~get(client_handles.client_user_projection_tag,'Value')==1
    plot(i,max(max(squeeze(userImages(:,:,i)))),'.');
end
if client_handles.userData.totalNumberOfProjections==1
    xlim(server_1_handles.maxIntensityAxes,[1,2]);
else
    xlim(server_1_handles.maxIntensityAxes,[1,client_handles.userData.totalNumberOfProjections]);
end
title(server_1_handles.maxIntensityAxes,'max profile','FontSize', 7);
hold(server_1_handles.maxIntensityAxes,'on');
