%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************
function     add_colorbar(the_axes,offset)
%a hack to put color bar

axes(the_axes);
axes_pos = get(the_axes,'Position');
h = colorbar('peer',the_axes,'EastOutside');
set(h,'Visible','off');
set(h,'FontSize',7);
pos = get(h,'Position');
if pos(1)>axes_pos(1)
    distance_between = abs(pos(1)-(axes_pos(1)+axes_pos(3)));
    amount_to_move   = .025 * distance_between;
    set(h,'Position',[pos(1)-amount_to_move pos(2) 0.7*pos(3) pos(4)]);
else %a trick of mine below ;)
    set(h,'Position',pos);
    set(h,'Position',[pos(1)+offset*pos(1) pos(2) 0.7*pos(3) pos(4)]);
end

set(h,'Visible','on');

