%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************
function [C,C_noise] = get_composite_image(client_handles,centered_frame_number)

if get(client_handles.client_sliding_window_tag,'Value')==1
   size_of_window = get(client_handles.client_sliding_window_size_tag,'Value');
   size_of_window = 2*size_of_window-1;  
else
   size_of_window = 2*client_handles.userData.nTimeFrames-1;
end

noise_process = false;
C = get_sliding_window_composite_image(client_handles,...
                                         centered_frame_number,...
                                         size_of_window,...
                                         noise_process);
                                                                          
noise_process = true;
C_noise = get_sliding_window_composite_image(client_handles,...
                                         centered_frame_number,...
                                         size_of_window,...
                                         noise_process);
end