%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************
function fid = openLogFile(hObject)

handles  = guidata(hObject);
logFileName = strtrim(get(handles.logFileNameTag,'String'));
if ~isempty(logFileName)
    s           = which('nma_HYPR');
    s           = s(1:end-10);
    logFileName = [s logFileName];
    [fid,msg] = fopen(logFileName,'a');
    if fid == -1
        set(handles.statusTag,'String',...
            sprintf('Failed to open log file [%]',msg));
    end
end