%****************************************************
%       Copyright (C) 2008 Nasser Abbasi
%  Free to use and modify for academic and research only
%***************************************************

function update_intensity_profile(hObject,p,pc)

client_handles   = guidata(hObject);
server_1_handles = guidata(client_handles.userData.server_1_handle);

nCols       = size(p,1);
middle_row  = round(nCols/2);
h = subplot(1,1,1,'Parent',server_1_handles.error_server1_panel_tag);
p_strip  = p(middle_row,:);
pc_strip = pc(middle_row,:);
y_max = max( [max(p_strip) max(pc_strip)] );
plot(1:nCols,p_strip,'k',...
    1:nCols,pc_strip,'r');
legend('P','Pc');
if y_max>0
    set(h,'Ylim',[0 y_max+0.1*y_max]);
end
set(h,'FontSize',7);
xlabel(h,'pixel');
ylabel(h,'intensity');
end